[Top][All Lists]

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

Re: A plea for dynamically loadable extension modules

From: Alex Schroeder
Subject: Re: A plea for dynamically loadable extension modules
Date: Thu, 31 Jul 2003 20:57:11 +0200
User-agent: Gnus/5.1003 (Gnus v5.10.3) Emacs/21.3.50 (gnu/linux)

"Stephen J. Turnbull" <address@hidden> writes:

> Anyway, Emacs has had dynamically loading support for several years,
> it's just that the maintainers refused to apply the patch.  I suppose
> that the patches for 20.x probably can be updated for 21.x.  Sorry, I
> don't know where they are, and unfortunately Debian has apparently
> removed its package versions, too.

http://www.emacswiki.org/cgi-bin/emacs/DynamicallyExtendingEmacs says
that Steve Kemp was the author of one of these patches; I think his
patch for Emacs 20 was the first one.  I would like to see Dave's
patch in Emacs.  Perhaps the simple requirement of having an
Emacs-specific "initizalization" function available would be enough to
deter would-be license-breakers?

I was on holidays from 2003-07-01 to 2003-07-29 and have a lot of catching up 
to do.

reply via email to

[Prev in Thread] Current Thread [Next in Thread]